

// --- Initializing the random number generator ---

int InitRand( void );
void InitRandWithSeed( int randSeed );

// --- Functions to create a random true model ---

matrix CreateRandomB( int n, double pdir );
matrix CreateRandomC( int n, double pconf );
matrix CreateRandomExperiments( int n, int nexp );

// --- Various helper functions ---

// reads in and parses the input (R-format) file
int ParseFile(const char *fname, matrix *B, matrix *C, matrix *E);

int zInBetween( matrix Btest, matrix Ctest, int x, int y, int z );
int connectedNodes( matrix M, int x, int y );

