CreateCtrue <- function( n, sparsity, noconfounders ) 
{
  # Next the confounder matrix
  Ctrue <- matrix( (runif(n*n)<(sparsity/100))*1, n, n )
  Ctrue[lower.tri(Ctrue)] <- 0
  diag(Ctrue) <- 0
  Ctrue <- Ctrue + t(Ctrue)
      
  # If it was requrested that the true model has no confounders, then do this.
  if (noconfounders)
  {
    Ctrue <- matrix( 0, n, n )
  }
  
  Ctrue
}